Loading...
Searching...
No Matches
gtsam::Chebyshev1Basis Struct Reference

## Detailed Description

Basis of Chebyshev polynomials of the first kind https://en.wikipedia.org/wiki/Chebyshev_polynomials#First_kind These are typically denoted with the symbol T_n, where n is the degree.

The parameter N is the number of coefficients, i.e., N = n+1.

Inheritance diagram for gtsam::Chebyshev1Basis:

## Static Public Member Functions

static Weights | CalculateWeights (size_t N, double x, double a=-1, double b=1)
| Evaluate Chebyshev Weights on [-1,1] at x up to order N-1 (N values).
static Weights | DerivativeWeights (size_t N, double x, double a=-1, double b=1)
| Evaluate Chebyshev derivative at x.
Static Public Member Functions inherited from gtsam::Basis< Chebyshev1Basis >
static Matrix | WeightMatrix (size_t N, const Vector &X)
| Calculate weights for all x in vector X.

## Public Attributes

Parameters | parameters_

## Public Types

using | Parameters = Eigen::Matrix<double, -1, 1 >

## Member Function Documentation

## CalculateWeights()

Weights gtsam::Chebyshev1Basis::CalculateWeights | ( | size_t | N,
|  | double | x,
|  | double | a = -1,
|  | double | b = 1 )

static

Evaluate Chebyshev Weights on [-1,1] at x up to order N-1 (N values).

Parameters

  N | Degree of the polynomial.
  x | Point to evaluate polynomial at.
  a | Lower limit of polynomial (default=-1).
  b | Upper limit of polynomial (default=1).

## DerivativeWeights()

Weights gtsam::Chebyshev1Basis::DerivativeWeights | ( | size_t | N,
|  | double | x,
|  | double | a = -1,
|  | double | b = 1 )

static

Evaluate Chebyshev derivative at x.

The derivative weights are pre-multiplied to the polynomial Parameters.

From Wikipedia we have D[T_n(x),x] = n*U_{n-1}(x) I.e. the derivative fo a first kind cheb is just a second kind cheb So, we define a second kind basis here of order N-1 Note that it has one less weight.

The Parameters pertain to 1st kind chebs up to order N-1 But of course the first one (order 0) is constant, so omit that weight.

Parameters

  N | Degree of the polynomial.
  x | Point to evaluate polynomial at.
  a | Lower limit of polynomial (default=-1).
  b | Upper limit of polynomial (default=1).

Returns
  Weights

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/basis/Chebyshev.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/basis/Chebyshev.cpp